LinkUtil (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.link
Class LinkUtil

    java.lang.Object
      com.bbn.openmap.layer.link.LinkUtil

    public class LinkUtil

extends java.lang.Object

Constructor Summary
`LinkUtil()`

Method Summary
`static boolean` | `isMask(int value, int mask)` Provided as a readability convenience.
`protected static java.lang.String` | `readString(java.io.DataInput dis, int length)` readString reads an expected number of characters off a DataInput and creates a String from it.
`static int` | `setMask(int value, int mask)` Provided as a readability convenience.
`static int` | `unsetMask(int value, int mask)` Provided as a readability convenience.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LinkUtil

    public LinkUtil()

Method Detail

### readString

    protected static java.lang.String readString(java.io.DataInput dis,
                                                 int length)
                                          throws java.io.IOException,
                                                 java.lang.ArrayIndexOutOfBoundsException

  readString reads an expected number of characters off a DataInput and creates a String from it.

  Parameters:
    `length` - the number of characters to be read..
  Throws:
    `java.io.IOException`
    `java.lang.ArrayIndexOutOfBoundsException`

### setMask

    public static int setMask(int value,
                              int mask)

  Provided as a readability convenience.

### unsetMask

    public static int unsetMask(int value,
                                int mask)

  Provided as a readability convenience.

### isMask

    public static boolean isMask(int value,
                                 int mask)

  Provided as a readability convenience.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details